-- MySQL dump 10.13  Distrib 5.7.9, for Win64 (x86_64)
--
-- Host: localhost    Database: xjmonasterio004_tfgbd
-- ------------------------------------------------------
-- Server version	5.7.11-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `info_jugador`
--

DROP TABLE IF EXISTS `info_jugador`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `info_jugador` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nombre_usuario` varchar(30) NOT NULL,
  `correo` varchar(30) DEFAULT NULL,
  `password` varchar(30) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `nombre_usuario` (`nombre_usuario`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `info_jugador`
--

LOCK TABLES `info_jugador` WRITE;
/*!40000 ALTER TABLE `info_jugador` DISABLE KEYS */;
INSERT INTO `info_jugador` VALUES (1,'user1','albertomon.333@gmail.com','juan'),(3,'user2',NULL,'1234'),(5,'user3',NULL,'1234'),(6,'user4',NULL,'1234'),(7,'user5',NULL,'1234'),(8,'user6',NULL,'1234'),(9,'user7',NULL,'1234'),(13,'user12','amo325@gmail.com','B5h99fgf');
/*!40000 ALTER TABLE `info_jugador` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ping_pong`
--

DROP TABLE IF EXISTS `ping_pong`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ping_pong` (
  `usuario` varchar(30) NOT NULL DEFAULT '',
  `elo` int(11) DEFAULT '0',
  PRIMARY KEY (`usuario`),
  CONSTRAINT `Ping_Pong_ibfk_1` FOREIGN KEY (`usuario`) REFERENCES `info_jugador` (`nombre_usuario`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ping_pong`
--

LOCK TABLES `ping_pong` WRITE;
/*!40000 ALTER TABLE `ping_pong` DISABLE KEYS */;
INSERT INTO `ping_pong` VALUES ('user1',452),('user12',0),('user2',568),('user3',470),('user4',129),('user5',220),('user6',400);
/*!40000 ALTER TABLE `ping_pong` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `space_defense`
--

DROP TABLE IF EXISTS `space_defense`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `space_defense` (
  `usuario` varchar(30) NOT NULL,
  `mejor_puntuacion` int(11) DEFAULT NULL,
  PRIMARY KEY (`usuario`),
  CONSTRAINT `Space_Defense_ibfk_1` FOREIGN KEY (`usuario`) REFERENCES `info_jugador` (`nombre_usuario`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `space_defense`
--

LOCK TABLES `space_defense` WRITE;
/*!40000 ALTER TABLE `space_defense` DISABLE KEYS */;
INSERT INTO `space_defense` VALUES ('user1',1000),('user12',0),('user2',500),('user3',500),('user4',200),('user5',360),('user6',3000),('user7',5000);
/*!40000 ALTER TABLE `space_defense` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2017-06-01 21:34:41
